const Constants = require('@/utils/Constants.js');
const util = require('@/utils/util.js')
const mixins = require('@/mixins/index.js')
Page({
  mixins: [mixins],
  /**
   * 页面的初始数据
   */
  data: {
    routeObjName:'customer',
    statusItem: {
      text: '佛山居然店'
    },
    statusItem2: {
      text: '张阿暖'
    },
  },


  /**
     * @desc : 加载数据
     * @author : 于继渤
     * @date : 2024/1/23 9:16
     */
    getData(params) {
      return this.excute(this.data.service, this.data.service.selectByCond, params);
    },

  /**
   * @desc :  获取数据
   * @author : 周兴
   * @date : 2024/2/21 12:16
   */
  chooseData(e) {
    console.log('ff', e);
    let index = e.currentTarget.dataset.index
    let tableData = this.data.tableData
    tableData.forEach(res => {
      res.checked = false
    })
    tableData[index].checked = true
    this.setData({
      tableData: tableData
    })

    let item = e.currentTarget.dataset.item;
    //  加入id 240323 
    item.id = item.cusId
    let objInfo = item
    // objInfo.title = item.name
    // objInfo.subTitle = item.phone
    // objInfo.amountCol = '应收金额'
    // objInfo.amount = item.number

    // 给父页面传递数据
    const eventChannel = this.getOpenerEventChannel();
    eventChannel.emit('bindData', objInfo)

    wx.navigateBack({
      delta: 1
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    // 接收父页面传递的参数
    const eventChannel = this.getOpenerEventChannel()
    eventChannel.on('params', function (data) {
      console.log('params', data)
    })
  },
})